import {__rest}from'tslib';import {Box,useColorModeValue,Link,Image,Spacer,Badge}from'@chakra-ui/react';import React__default from'react';import {BsStarFill,BsStar}from'react-icons/bs';import {Link as Link$1}from'react-router-dom';const RoomCard = (_a) => {
    var { room, isSaved } = _a, props = __rest(_a, ["room", "isSaved"]);
    return (React__default.createElement(Box, Object.assign({ borderWidth: "1px", borderRadius: "lg" }, props, { bg: useColorModeValue("gray.100", "gray.900"), d: "flex", flexDir: "column" }),
        React__default.createElement(Link, { as: Link$1, to: "/rooms/" + room.id },
            React__default.createElement(Box, { minH: "200px", maxH: "300px", overflow: "hidden" },
                React__default.createElement(Image, { src: room.thumbnailUrl, objectFit: "cover", fit: "cover", fallback: React__default.createElement(Box, { bgColor: "gray", color: "gray" }), alt: room.thumbnailAlt, overflow: "hidden", style: { transition: "ease 0.5s" }, _hover: { transform: "scale(1.1)" } }))),
        React__default.createElement(Spacer, null),
        React__default.createElement(Box, { p: "4", d: "flex", flexDir: "column" },
            !isSaved &&
                React__default.createElement(Box, { d: "flex", alignItems: "baseline" },
                    React__default.createElement(Badge, { borderRadius: "full", px: "2", colorScheme: "teal" }, "New"),
                    room.services && room.services.map((s, key) => {
                        return (React__default.createElement(Box, { key: key, color: "gray.500", fontWeight: "semibold", letterSpacing: "wide", fontSize: "xs", textTransform: "uppercase", ml: "2", isTruncated: true },
                            s.serviceName,
                            " ",
                            room.services[room.services.length - 1] !== s && React__default.createElement(React__default.Fragment, null, "\u2022"),
                            " "));
                    })),
            React__default.createElement(Box, { mt: "1", fontWeight: "semibold", as: "h4", lineHeight: "tight" }, room.name),
            !isSaved &&
                React__default.createElement(Box, { as: "p", lineHeight: "tight", textOverflow: "ellipsis", overflow: "hidden" }, room.description.length > 100 ? room.description.substring(0, 100) + "..." : room.description),
            React__default.createElement(Box, { d: 'flex', flexWrap: "wrap", justifySelf: "end", alignItems: "baseline", flexDir: "row" },
                React__default.createElement(Box, { as: "h4", fontSize: "3xl" }, room.formattedPrice + "$"),
                React__default.createElement(Box, { as: "span", color: "gray.500", fontStyle: "italic" }, "/ per night"),
                React__default.createElement(Box, { d: "flex", alignItems: "center", alignSelf: "center", ml: "auto" }, Array(5).fill("").map((_, i) => {
                    return (i < Math.round(room.totalStar / room.totalReview) ? React__default.createElement(BsStarFill, { key: i, colorRendering: "teal.400" }) : React__default.createElement(BsStar, { key: i }));
                }))))));
};export default RoomCard;//# sourceMappingURL=RoomCard.js.map
