import {Box,Flex,InputGroup,InputLeftElement,Input,InputRightElement,Spinner,Popover,PopoverTrigger,Button,Portal,PopoverContent,useColorModeValue}from'@chakra-ui/react';import React__default from'react';import {BsSearch}from'react-icons/bs';import {useQuery}from'react-query';import {useHistory}from'react-router';import {fetchCities}from'../../API.js';import PickRangeDay from'./PickRangeDay.js';import PopDetail from'./PopDetail.js';const SearchBar = (props) => {
    var _a, _b;
    const { data: cities, isLoading, status } = useQuery("cities", fetchCities, {
        staleTime: 1000 * 60 * 10
    });
    const history = useHistory();
    const { search: form } = props;
    React__default.useEffect(() => {
        if (props.updateSearch) {
            console.log("update form");
            props.updateSearch(form);
        }
    }, [form]);
    // if (isLoading) return <>loading...</>;
    const UpdateDate = (from, to) => {
        if (props.updateSearch) {
            props === null || props === void 0 ? void 0 : props.updateSearch(Object.assign(Object.assign({}, props.search), { from: from, to: to }));
        }
    };
    const UpdatePeople = (adult, children) => {
        if (props.updateSearch) {
            props === null || props === void 0 ? void 0 : props.updateSearch(Object.assign(Object.assign({}, props.search), { guestNum: adult, childrenNum: children }));
        }
    };
    const UpdateCity = (city) => {
        if (props.updateSearch) {
            props === null || props === void 0 ? void 0 : props.updateSearch(Object.assign(Object.assign({}, props.search), { city: city }));
        }
    };
    const handleSearchClick = () => {
        history.push({
            pathname: "/rooms",
            state: {
                search: props.search
            }
        });
    };
    return (React__default.createElement(Box, { p: "2", border: "1px", borderColor: "yellow.400", style: { backdropFilter: "blur(5px)" } },
        React__default.createElement(Flex, { display: { lg: "flex" }, alignItems: "center" },
            React__default.createElement(InputGroup, null,
                React__default.createElement(InputLeftElement, { pointerEvents: "none", children: React__default.createElement(BsSearch, null) }),
                React__default.createElement(Input, { list: "datalist-cities", placeholder: "City", size: "lg", borderRadius: "0", onChange: (e) => UpdateCity(e.target.value), value: props.search.city }),
                isLoading ? React__default.createElement(InputRightElement, { children: React__default.createElement(Spinner, { alignSelf: "center" }) }) :
                    React__default.createElement("datalist", { id: "datalist-cities" }, cities === null || cities === void 0 ? void 0 : cities.map(c => {
                        return React__default.createElement("option", { key: c.id, value: c.cityName });
                    }))),
            React__default.createElement(Popover, { closeOnBlur: true },
                React__default.createElement(PopoverTrigger, null,
                    React__default.createElement(Button, { variant: "outline", w: ["100%", "100%", "100%", "150%"], size: "lg", _focusVisible: { border: "0" }, borderRadius: "0", px: "2" },
                        ((_a = form === null || form === void 0 ? void 0 : form.from) === null || _a === void 0 ? void 0 : _a.toLocaleDateString()) || "From",
                        " - ",
                        ((_b = form === null || form === void 0 ? void 0 : form.to) === null || _b === void 0 ? void 0 : _b.toLocaleDateString()) || "To")),
                React__default.createElement(Portal, null,
                    React__default.createElement(PopoverContent, { flexWrap: "nowrap", alignItems: "center", style: { backdropFilter: "blur(5px)" }, w: "100%", borderRadius: "0", bgColor: useColorModeValue("gray.100", "gray.800") },
                        React__default.createElement(PickRangeDay, { updateDate: UpdateDate })))),
            React__default.createElement(Popover, null,
                React__default.createElement(PopoverTrigger, null,
                    React__default.createElement(Button, { variant: "outline", w: ["100%", "100%", "100%", "150%"], size: "lg", borderRadius: "0", px: "2" }, form.guestNum + ' guests - ' + form.childrenNum + ' children')),
                React__default.createElement(Portal, null,
                    React__default.createElement(PopoverContent, { flexWrap: "nowrap", borderRadius: "0", bg: "inherit", bgColor: useColorModeValue("gray.100", "gray.800") },
                        React__default.createElement(PopDetail, { updatePeople: UpdatePeople, guest: form.guestNum, children: form.childrenNum })))),
            React__default.createElement(Button, { alignSelf: "center", size: "lg", minW: "100px", ml: [0, 0, 0, 2], onClick: props.onClickSearch ? props.onClickSearch : handleSearchClick, isLoading: props.isLoading, mt: [2, 2, 2, 0], w: ["100%", "100%", "100%", "30%"], borderRadius: "0" }, "Search"))));
};export default SearchBar;//# sourceMappingURL=SearchBar.js.map
